diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 558e376..cdbfe72 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -10399,7 +10399,8 @@ DefiniteIntegrationTools(R, F): Exports == Implementation where
 
     checkForZero(p, x, a, b, incl?) ==
       checkForZero(
-        map(#1::F, univariate(p, x))$SparseUnivariatePolynomialFunctions2(P, F),
+        map(s+->s::F, univariate(p, x))_
+         $SparseUnivariatePolynomialFunctions2(P, F),
             a, b, incl?)
 
     checkForZero(q, a, b, incl?) ==
@@ -10438,7 +10439,7 @@ DefiniteIntegrationTools(R, F): Exports == Implementation where
       i case fin =>
         l := realZeros(p, r := i.fin)
         incl? => l
-        select_!(keeprec?(r.left, #1) and keeprec?(r.right, #1), l)
+        select_!(s+->keeprec?(r.left, s) and keeprec?(r.right, s), l)
       i case all => realZeros p
       i case halfinf =>
         empty?(l := realZeros p) => empty()
@@ -10447,7 +10448,8 @@ DefiniteIntegrationTools(R, F): Exports == Implementation where
           ["min"/[t.left for t in l], i.halfinf.endpoint]
         l := [u::REC for t in l | (u := refine(p, t, bounds)) case REC]
         incl? => l
-        select_!(keeprec?(i.halfinf.endpoint, #1), l)
+        ep := i.halfinf.endpoint
+        select_!(s+->keeprec?(ep, s), l)
       error "findRealZero: should not happpen"
 
     checkBudan(p, a, b, incl?) ==
diff --git a/changelog b/changelog
index ef63b70..5c16414 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090514 tpd src/axiom-website/patches.html 20090514.03.tpd.patch
+20090514 tpd books/bookvol10.4 DFINTTLS +-> conversion
 20090514 tpd src/axiom-website/patches.html 20090514.02.tpd.patch
 20090514 tpd books/bookvol10.3 MYEXPR +-> conversion
 20090514 tpd src/axiom-website/patches.html 20090514.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index efea0f8..f3b7c8a 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1292,5 +1292,7 @@ bookvol10.4 CYCLES +-> conversion<br/>
 bookvol10.3 MSET +-> conversion<br/>
 <a href="patches/20090514.02.tpd.patch">20090514.02.tpd.patch</a>
 bookvol10.3 MYEXPR +-> conversion<br/>
+<a href="patches/20090514.03.tpd.patch">20090514.03.tpd.patch</a>
+bookvol10.4 DFINTTLS +-> conversion<br/>
  </body>
 </html>
